Package org.multiverse.api.exceptions

## Class InvisibleCheckedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.multiverse.api.exceptions.InvisibleCheckedException

- All Implemented Interfaces:
    `Serializable`

      public class InvisibleCheckedException
      extends RuntimeException

  A `RuntimeException` thrown when a checked exception is thrown but can't be rethrown. The original checked exception can be retrieved by calling the `getCause()`.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `InvisibleCheckedException​(Exception cause)` | Creates a new InvisibleCheckedException with the given cause.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Exception` | `getCause()` |

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InvisibleCheckedException

          public InvisibleCheckedException​(Exception cause)

      Creates a new InvisibleCheckedException with the given cause.
      Parameters:
        `cause` - the cause of the Exception.

  - ### Method Detail

    - #### getCause

          public Exception getCause()

      Overrides:
        `getCause` in class `Throwable`